using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace csWallChange
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] args) {
            //if the search folder is not set, set it
            if (string.IsNullOrEmpty(csWallChange.Properties.Settings.Default.SearchFolder)) {
                csWallChange.Properties.Settings.Default.SearchFolder
                    = Environment.GetFolderPath(Environment.SpecialFolder.MyPictures);
            }
            if (args.Length > 0) {
                if (args[0] == "/r" || args[0] == "-r") {


                    //create an instance of the Form.
                    Form1 f = new Form1(true);

                    //get a random wallpaper
                    string s = WallpaperHelper.getRandomWallpaper();
                    if (s == null) {
                        return; //get some way to show error msg here.
                    }

                    //and change the wallpaper silently.
                    f.ChangeWallSilent(s);
                }
                return;
            }
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new Form1());
        }
    }
}